package com.tiesheng.encrypt.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author hao
 */
@Configuration
@ConfigurationProperties(prefix = "tiesheng.encrypt")
public class EncryptConfig {

    public String publicD;
    public String privateQ;
    private boolean enable = false;

    ///////////////////////////////////////////////////////////////////////////
    // setter\getter
    ///////////////////////////////////////////////////////////////////////////

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public String getPublicD() {
        return publicD;
    }

    public void setPublicD(String publicD) {
        this.publicD = publicD;
    }

    public String getPrivateQ() {
        return privateQ;
    }

    public void setPrivateQ(String privateQ) {
        this.privateQ = privateQ;
    }
}
